Package com.mckoi.database.jdbc

## Class MSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.mckoi.database.jdbc.MSQLException

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

    public class MSQLException
    extends java.sql.SQLException

SQLException used by the McKoi database engine.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MSQLException()`
`MSQLException​(java.lang.String reason)`
`MSQLException​(java.lang.String reason, java.lang.String SQLState)`
`MSQLException​(java.lang.String reason, java.lang.String SQLState, int vendorCode)`
`MSQLException​(java.lang.String reason, java.lang.String server_error_msg, int vendor_code, java.lang.String server_error_trace)` MSQL Specific.
`MSQLException​(java.lang.String reason, java.lang.String server_error_msg, int vendor_code, java.lang.Throwable server_error)` MSQL Specific.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getServerErrorMsg()` Returns the error message that generated this exception.
`java.lang.String` `getServerErrorStackTrace()` Returns the server side stack trace for this error.
`void` `printStackTrace()` Overwrites the print stack trace information with some more detailed information about the error.
`void` `printStackTrace​(java.io.PrintStream s)` Overwrites the print stack trace information with some more detailed information about the error.
`void` `printStackTrace​(java.io.PrintWriter s)` Overwrites the print stack trace information with some more detailed information about the error.
`static java.sql.SQLException` `unsupported()` Returns an SQLException that is used for all unsupported features of the JDBC driver.
`static java.sql.SQLException` `unsupported16()` Generates the feature not supported exception.

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### MSQLException

    public MSQLException​(java.lang.String reason,
                         java.lang.String SQLState,
                         int vendorCode)

#### MSQLException

    public MSQLException​(java.lang.String reason,
                         java.lang.String SQLState)

#### MSQLException

    public MSQLException​(java.lang.String reason)

#### MSQLException

    public MSQLException()

#### MSQLException

    public MSQLException​(java.lang.String reason,
                         java.lang.String server_error_msg,
                         int vendor_code,
                         java.lang.Throwable server_error)

MSQL Specific. This stores the reason, the server exception message, and the server stack trace.

#### MSQLException

    public MSQLException​(java.lang.String reason,
                         java.lang.String server_error_msg,
                         int vendor_code,
                         java.lang.String server_error_trace)

MSQL Specific. This stores the reason, the server exception message, and the server stack trace as a string.

### Method Detail

#### getServerErrorMsg

    public java.lang.String getServerErrorMsg()

Returns the error message that generated this exception.

#### getServerErrorStackTrace

    public java.lang.String getServerErrorStackTrace()

Returns the server side stack trace for this error.

#### printStackTrace

    public void printStackTrace()

Overwrites the print stack trace information with some more detailed information about the error.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace​(java.io.PrintStream s)

Overwrites the print stack trace information with some more detailed information about the error.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace​(java.io.PrintWriter s)

Overwrites the print stack trace information with some more detailed information about the error.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### unsupported

    public static java.sql.SQLException unsupported()

Returns an SQLException that is used for all unsupported features of the JDBC driver.

#### unsupported16

    public static java.sql.SQLException unsupported16()

Generates the feature not supported exception.